## Overview

This easy step by step guide will lead you through the procedure to boot your UDOO DUAL/QUAD for the very first time.
You can also watch our [connectivity walkthrough](/tutorial/connectivity-walkthrough/).

<img src="/docs/img/Box1_Tutorials_UdooSite.png">


## Step by step procedure

### 1. Insert the micro SD card

UDOO DUAL/QUAD has no internal storage or built-in boot code, OS and storage are on microSD so you need to plug a pre-loaded microSD to boot. If you didn’t get a pre-loaded microSD card, you should follow our step by step guide about [creating a bootable Micro SD card from precompiled image](../Getting_Started/Create_A_Bootable_MicroSD_card_for_UDOO_QUAD-DUAL.html).

### 2. Connect the HDMI cable

UDOO DUAL/QUAD features full HD video output on standard HDMI connector. Plug your full-size ‘male’ HDMI cable to UDOO DUAL/QUAD, then plug it to your monitor or digital TV.

### 3. Connect network (optional)

If you want, you can plug your RJ-45 ethernet cable now, but you can do it later when the board is booted or you can just use the WiFi to connect wirelessly to your network.

### 4. Connect input

Every keyboard and mouse should work with UDOO DUAL/QUAD. The board provides 5V 500mAmp so you don’t need an USB hub unless you need to power up high power consumption devices. Wireless keyboard/mouse should work as well.

### 5. Power up

UDOO DUAL/QUAD starter kits and pre-orders come with a 12V and 2Amp switching DC supply with a standard 5.5mm/2.1mm barrel jack. This supply is designed to work anywhere in the world, 100V-240V AC wall power but you may need a plug adapter.

UDOO DUAL/QUAD will boot as soon as you connect the power supply. You’re now good to go to start explore, learn and make with your UDOO DUAL/QUAD board!
